
def random_graph_properties(graph):
    """
    This function takes a graph as input and returns a dictionary containing random properties
    of the graph such as the number of vertices, edges, and degree distribution.
    """
    import graph_tool as gt

    # Initialize an empty dictionary to store the properties
    properties = {}

    # Get the number of vertices and edges
    properties['number_of_vertices'] = graph.num_vertices()
    properties['number_of_edges'] = graph.num_edges()

    # Get the degree distribution of the graph
    degrees = gt.degrees(graph)
    properties['degree_distribution'] = list(degrees.get_array())

    return properties

# JSON representation of the code
